
Public Support - Support Request #13090

Missing information how to use examples from Display Toolbox

2021-01-08 16:45 - hidden
Category:    

Customer: CARIAD Product Issue

Numbers:

 

Department: G3-2 Affected Products: ADTF 3.10.0, ADTF Display Toolbox

3.5.0

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: DisplayTB::Common

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Ich habe heute meine ersten Gehversuche mit ADTF3.10 und der Display Toolbox 3.5 unternommen.

Schlussendlich konnte ich die Beispiele ausführen, aber es hat mich einiges an Fehlersuche und Aufwand gekostet herauszufinden,

dass die Display Toolbox exakt in einem Ordner namens: "displaytoolbox" im "addons" Verzeichnis liegen muss.

Das wird nirgends erwähnt und macht auch wenig Sinn...

Warum werden die Toolboxen nicht wie in ADTF2 einfach per Wildcards eingebunden und warum liefert jede Toolbox bzw. jedes

Session eigene xsystems aus, sodass am Ende zig Dateien mit gleichem Inhalt vorhanden sind.

Würde nicht ein xsystem für die Display Examples reichen? Wenn die DisplayToolbox sowieso im ADDONS Verzeichnis liegen soll,

braucht man auch gar keine spezielle Anpassung, da das Default-System alle Plugins lädt...

Generell finde ich den Aufbau noch sehr verwirrend und unnötig komplex, aber das liegt wohl auch an meiner fehlenden Historie mit

ADTF3.

Lösung

ich habe heute meine ersten Gehversuche mit ADTF3.10 und der Display Toolbox 3.5 unternommen.

Schlussendlich konnte ich die Beispiele ausführen, aber es hat mich einiges an Fehlersuche und Aufwand gekostet

herauszufinden,

dass die Display Toolbox exakt in einem Ordner namens: "displaytoolbox" im "addons" Verzeichnis liegen muss.

Das wird nirgends erwähnt und macht auch wenig Sinn...

Das ist richtig und ggf. auch unerwartet, wäre leider nur bisher ohne zusätzliche Batch-Files und Umgebungsvariablen nicht anders

möglich gewesen, da jeder sein System anders aufsetzt, conan interessiert sich z.B. überhaupt nicht mehr für den addons Ordner in

ADTF.

Deshalb heißt die Lösung adtfenvironment Files, welche Macros auch für die Toolboxen und eigenen Plugins/Toolboxen

bereitstellen.

Damit lassen sich die adtfplugins Rechner unabhängig spezifzieren und laufen immer, siehe:

https://support.digitalwerk.net/adtf/v3/guides/set_up_adtfenvironment.html

Das gibt es aber erst seit ADTF 3.9, weshalb die Display TB hier noch hinterher hinkt und auch deren Examples noch nicht modular

sind.

Ein Update dazu liefern wir in den nächsten Wochen, dann geht es immer out of the box.

Bis dahin wäre die Möglichkeit, auch bei eigenen Setups, im System Editor bei den Release und Debug Pfaden ein Remove All und

anschließend Look Up zu machen.

Dann werden die Pfade auf deinen Rechner angepasst.

Das verändert leider die Session, löst aber das derzeitige Pfad-Problem.

Warum werden die Toolboxen nicht wie in ADTF2 einfach per Wildcards eingebunden und warum liefert jede Toolbox bzw.

jedes Session eigene xsystems aus, sodass am Ende zig Dateien mit gleichem Inhalt vorhanden sind.
https://support.digitalwerk.net/adtf/v3/guides/set_up_adtfenvironment.html


 Das Verhalten ist identisch mit ADTF 2, du musst nur unterscheiden, dass in ADTF 3.x Konfigurationszeitpunkt (Configuration Editor)

und Laufzeit (Runtime, Launcher) aufgetrennt wurde.

Mittels deiner cesettings bzw. adtfenvironment gibst du deinen Pool an adtfplugins durch das Einbinden der zugehörigen

plugindescription Dateien an - und hast ALLES zur Verfügung.

Dann baust du dir deine Session(s), hier wird aber nur das geladen was du auch wirklich brauchst und ausführen möchtest, ggf. in

mehreren ADTF Launchern (Verteilte Systeme).

Mit der kommenden FEP Integration ist es dann auch möglich, mehrere Instanzen zu tracen und zu bedienen aus dem CE heraus,

starten kannst du nun schon alles.

Die Prozesse bleiben kostengünstig verteilt, die Tool-Convenience holt sich dann wieder alles zusammen, ähnlich wie du es auch 2.x

kennst, nur perfomanter und mit neuen Feautures.

Würde nicht ein xsystem für die Display Examples reichen? Wenn die DisplayToolbox sowieso im ADDONS Verzeichnis liegen

soll, braucht man auch gar keine spezielle Anpassung, da das Default-System alle Plugins lädt...

Hier musst du wie gesagt zwischen CE und Launcher in der Architektur unterscheiden.

Wir überarbeiten derzeit auch nochmal die Doku, ein guter Einstieg wäre aktuell noch:

https://support.digitalwerk.net/adtf/v3/keytopics/index.html

https://support.digitalwerk.net/adtf/v3/guides/index.html

Mit der Doxygen Doku samt Architektur würde ich noch auf die 3.11 warten, das macht es verständlicher, trotzdem immer einen Blick

wert:

https://support.digitalwerk.net/adtf/v3/adtf_html/index.html

Generell finde ich den Aufbau noch sehr verwirrend und unnötig komplex, aber das liegt wohl auch an meiner fehlenden

Historie mit ADTF3.

 Siehe Links oben, wenn du weitere Fragen hast, bitte jederzeit melden, ich hoffe ich konnte mehr Fragen beantworten als neue

aufmachen...

Die obigen Links sollten dir aber weiter helfen.

History

#1 - 2021-01-11 10:16 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to DisplayTB::Common

- Customer set to Car.SW Org.

- Department set to G3-2

- Affected Products ADTF 3.10.0, ADTF Display Toolbox 3.5.0 added

#2 - 2021-01-11 10:23 - hidden

- Project changed from 20 to 30

#3 - 2021-01-11 18:45 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Toni,

danke für dein Feedback !

ich habe heute meine ersten Gehversuche mit ADTF3.10 und der Display Toolbox 3.5 unternommen.

Schlussendlich konnte ich die Beispiele ausführen, aber es hat mich einiges an Fehlersuche und Aufwand gekostet herauszufinden,

dass die Display Toolbox exakt in einem Ordner namens: "displaytoolbox" im "addons" Verzeichnis liegen muss.

Das wird nirgends erwähnt und macht auch wenig Sinn...

Das ist richtig und ggf. auch unerwartet, wäre leider nur bisher ohne zusätzliche Batch-Files und Umgebungsvariablen nicht anders möglich gewesen,

da jeder sein System anders aufsetzt, conan interessiert sich z.B. überhaupt nicht mehr für den addons Ordner in ADTF.

Deshalb heißt die Lösung adtfenvironment Files, welche Macros auch für die Toolboxen und eigenen Plugins/Toolboxen bereitstellen.
Damit lassen sich die adtfplugins Rechner unabhängig spezifzieren und laufen immer, siehe:

https://support.digitalwerk.net/adtf/v3/guides/set_up_adtfenvironment.html

Das gibt es aber erst seit ADTF 3.9, weshalb die Display TB hier noch hinterher hinkt und auch deren Examples noch nicht modular sind.

Ein Update dazu liefern wir in den nächsten Wochen, dann geht es immer out of the box.

Bis dahin wäre die Möglichkeit, auch bei eigenen Setups, im System Editor bei den Release und Debug Pfaden ein Remove All und anschließend

Look Up zu machen.

Dann werden die Pfade auf deinen Rechner angepasst.

Das verändert leider die Session, löst aber das derzeitige Pfad-Problem.

Warum werden die Toolboxen nicht wie in ADTF2 einfach per Wildcards eingebunden und warum liefert jede Toolbox bzw. jedes Session eigene

xsystems aus, sodass am Ende zig Dateien mit gleichem Inhalt vorhanden sind.

 Das Verhalten ist identisch mit ADTF 2, du musst nur unterscheiden, dass in ADTF 3.x Konfigurationszeitpunkt (Configuration Editor) und Laufzeit

(Runtime, Launcher) aufgetrennt wurde.

Mittels deiner cesettings bzw. adtfenvironment gibst du deinen Pool an adtfplugins durch das Einbinden der zugehörigen plugindescription Dateien an

- und hast ALLES zur Verfügung.

Dann baust du dir deine Session(s), hier wird aber nur das geladen was du auch wirklich brauchst und ausführen möchtest, ggf. in mehreren ADTF

Launchern (Verteilte Systeme).

Mit der kommenden FEP Integration ist es dann auch möglich, mehrere Instanzen zu tracen und zu bedienen aus dem CE heraus, starten kannst du

nun schon alles.

Die Prozesse bleiben kostengünstig verteilt, die Tool-Convenience holt sich dann wieder alles zusammen, ähnlich wie du es auch 2.x kennst, nur

perfomanter und mit neuen Feautures.

Würde nicht ein xsystem für die Display Examples reichen? Wenn die DisplayToolbox sowieso im ADDONS Verzeichnis liegen soll, braucht man

auch gar keine spezielle Anpassung, da das Default-System alle Plugins lädt...

Hier musst du wie gesagt zwischen CE und Launcher in der Architektur unterscheiden.

Wir überarbeiten derzeit auch nochmal die Doku, ein guter Einstieg wäre aktuell noch:

https://support.digitalwerk.net/adtf/v3/keytopics/index.html

https://support.digitalwerk.net/adtf/v3/guides/index.html

Mit der Doxygen Doku samt Architektur würde ich noch auf die 3.11 warten, das macht es verständlicher, trotzdem immer einen Blick wert:

https://support.digitalwerk.net/adtf/v3/adtf_html/index.html

Generell finde ich den Aufbau noch sehr verwirrend und unnötig komplex, aber das liegt wohl auch an meiner fehlenden Historie mit ADTF3.

 Siehe Links oben, wenn du weitere Fragen hast, bitte jederzeit melden, ich hoffe ich konnte mehr Fragen beantworten als neue aufmachen...

Die obigen Links sollten dir aber weiter helfen.

#5 - 2021-01-20 14:54 - hidden

Hallo Toni,

hast du noch Anmerkungen hierzu ?

Ansonsten würde ich das Ticket diese Woche abschließen.

#6 - 2021-01-28 09:36 - hidden

- Project changed from 30 to Public Support

- Subject changed from ADTF Display Toolbox 3.5: Example Project to Missing information how to use examples from Display Toolbox

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#7 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD

#8 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
